[arch-commits] Commit in gimp/repos (extra-i686 extra-i686/PKGBUILD)

Eric Belanger eric at archlinux.org
Tue Oct 14 01:37:51 EDT 2008


    Date: Tuesday, October 14, 2008 @ 01:37:50
  Author: eric
Revision: 15512

Merged revisions 15506 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gimp/trunk

........
  r15506 | eric | 2008-10-13 23:43:42 -0400 (Mon, 13 Oct 2008) | 2 lines
  
  upgpkg: gimp 2.6.1-1
      upstream update
........

Modified:
  gimp/repos/extra-i686/	(properties)
  gimp/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)


Property changes on: gimp/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /gimp/trunk:1-12034
   + /gimp/trunk:1-15511

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-14 05:00:55 UTC (rev 15511)
+++ extra-i686/PKGBUILD	2008-10-14 05:37:50 UTC (rev 15512)
@@ -2,33 +2,37 @@
 # Maintainer: tobias <tobias at archlinux.org>
 
 pkgname=gimp
-pkgver=2.4.7
+pkgver=2.6.1
 pkgrel=1
 pkgdesc="GNU Image Manipulation Program"
 arch=('i686' 'x86_64')
-license=('GPL2')
 url="http://www.gimp.org/"
+license=('GPL')
 depends=('gtk2>=2.12.11' 'lcms>=1.17' 'libxpm>=3.5.7' 'libwmf>=0.2.8.4'
          'libxmu>=1.0.4' 'librsvg>=2.22.2' 'libmng>=1.0.10' 'dbus-glib>=0.7.6'
-         'libexif>=0.6.16' 'libart-lgpl>=2.3.20' 'pygtk>=2.12.1')
-makedepends=('gutenprint>=5.0.2' 'perlxml' 'poppler-glib>=0.8.4'
-             'pkgconfig' 'alsa-lib>=1.0.16' 'libgnomeui>=2.22.1')
-				 optdepends=('gutenprint: Advanced printing support' 'poppler-glib: Opening PDF files')
+         'libexif>=0.6.16' 'pygtk>=2.12.1' 'desktop-file-utils' 'gegl>=0.0.18')
+makedepends=('gutenprint>=5.0.2' 'intltool>=0.35.5' 'libwebkit'
+             'gnome-python>=2.16.2' 'poppler-glib>=0.8.6' 'pkgconfig>=0.21'
+             'alsa-lib>=1.0.16' 'libgnomeui>=2.22.1')
+optdepends=('gutenprint: for sophisticated printing only as gimp has built-in cups print support' \
+            'libwebkit: for the help browser' 'poppler-glib: for pdf support' \
+            'hal: for Linux input event controller module' \
+            'alsa-lib: for MIDI event controller module')
 options=('!libtool' '!makeflags')
-conflicts=('gimp-unstable')
+conflicts=('gimp-devel')
 install=${pkgname}.install
-source=(ftp://ftp.gimp.org/pub/gimp/v2.4/${pkgname}-${pkgver}.tar.bz2
+source=(ftp://ftp.gimp.org/pub/gimp/v${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2
         linux.gpl)
-md5sums=('8d0e059597d70fbdeb77e6447bae29c4' 'bb27bc214261d36484093e857f015f38')
+md5sums=('2fa176d1da75575c88b01019d014744d' 'bb27bc214261d36484093e857f015f38')
 
 build() {
-   cd ${startdir}/src/${pkgname}-${pkgver}
+   cd ${srcdir}/${pkgname}-${pkgver}
    ./configure --prefix=/usr --sysconfdir=/etc \
-     --enable-mp --enable-gimp-console --disable-devel-docs \
+     --enable-mp --enable-gimp-console --enable-gimp-remote --disable-devel-docs \
      --enable-python --with-gif-compression=lzw \
      --without-aa || return 1
    make || return 1
-   make DESTDIR=${startdir}/pkg install-strip || return 1
-   install -Dm644 ${startdir}/src/linux.gpl \
-     ${startdir}/pkg/usr/share/gimp/2.0/palettes/Linux.gpl || return 1
+   make DESTDIR=${pkgdir} install-strip || return 1
+   install -Dm644 ${srcdir}/linux.gpl \
+     ${pkgdir}/usr/share/gimp/2.0/palettes/Linux.gpl || return 1
 }




More information about the arch-commits mailing list